Bug 434594 - nautilus-sendto aborts: failed to open local addressbook
nautilus-sendto aborts: failed to open local addressbook
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nautilus-sendto (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 18:26 EST by Ben Levenson
Modified: 2015-03-03 17:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 10:06:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2008-02-22 18:26:44 EST
Description of problem:

nautilus-sendto aborts: failed to open local addressbook

Version-Release number of selected component (if applicable):
nautilus-sendto-0.7-5.fc6

How reproducible:
100%

Steps to Reproduce:
1. open a nautilus window
2. right click on something and select send to
3. crash
  
Actual results:
Memory status: size: 54906880 vsize: 0 resident: 54906880 share: 0 rss: 10768384
rss_rlim: 0
CPU usage: start_time: 1203722001 rtime: 0 utime: 13 stime: 0 cutime:8 cstime: 0
timeout: 5 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/bin/nautilus-sendto'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208232240 (LWP 4049)]
[New Thread -1235444848 (LWP 4053)]
[New Thread -1224954992 (LWP 4050)]
0x00ea6402 in __kernel_vsyscall ()
#0  0x00ea6402 in __kernel_vsyscall ()
#1  0x008b9d7b in waitpid () from /lib/libpthread.so.0
#2  0x0356bc26 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00ea6402 in __kernel_vsyscall ()
#5  0x00761c50 in raise () from /lib/libc.so.6
#6  0x00763561 in abort () from /lib/libc.so.6
#7  0x00919c92 in g_logv () from /lib/libglib-2.0.so.0
#8  0x00919cc9 in g_log () from /lib/libglib-2.0.so.0
#9  0x0050e9b5 in add_evolution_contacts_to_model (entry=0x96d51f8, 
    store=0x97ae010, iter=0x98300d0) at evolution.c:67
#10 0x0050eada in get_contacts_widget (plugin=0x96a6448) at evolution.c:167
#11 0x0804a3fb in main (argc=) at nautilus-sendto-command.c:234

Thread 3 (Thread -1224954992 (LWP 4050)):
#0  0x00ea6402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x008001b3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x00914353 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x009146c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x0243a8b2 in e_book_get_type () from /usr/lib/libebook-1.2.so.9
No symbol table info available.
#5  0x0092efcf in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x008b246b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00809dae in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1235444848 (LWP 4053)):
#0  0x00ea6402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x008001b3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x00914353 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x009146c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x031c22c0 in link_set_io_thread () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x0092efcf in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x008b246b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00809dae in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208232240 (LWP 4049)):
#0  0x00ea6402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x008b9d7b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0356bc26 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00ea6402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00761c50 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x00763561 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x00919c92 in g_logv () from /lib/libglib-2.0.so.0
No symbol table info available.
#8  0x00919cc9 in g_log () from /lib/libglib-2.0.so.0
No symbol table info available.
#9  0x0050e9b5 in add_evolution_contacts_to_model (entry=0x96d51f8, 
    store=0x97ae010, iter=0x98300d0) at evolution.c:67
	pixbuf = (GdkPixbuf *) 0x982a878
	it = <value optimized out>
	book = (EBook *) 0x9830dd0
	query = <value optimized out>
	cards = <value optimized out>
	c = <value optimized out>
	status = <value optimized out>
	hash_value = <value optimized out>
#10 0x0050eada in get_contacts_widget (plugin=0x96a6448) at evolution.c:167
	entry = (GtkWidget *) 0x96d51f8
	completion = (GtkEntryCompletion *) 0x98222e8
	renderer = <value optimized out>
	store = (GtkListStore *) 0x97ae010
#11 0x0804a3fb in main (argc=) at nautilus-sendto-command.c:234
	module_path = <value optimized out>
	program = <value optimized out>
#0  0x00ea6402 in __kernel_vsyscall ()

Additional info:
Might be related to bug 239588
Comment 1 Bastien Nocera 2008-06-12 10:06:32 EDT
Should be fixed by the update necessary for bug 250403, closing as wontfix.

Note You need to log in before you can comment on or make changes to this bug.